Jump to content
Not connected, Your IP: 3.87.147.184

Search the Community

Showing results for tags 'install'.



More search options

  • Search By Tags

    Type tags separated by commas.
  • Search By Author

Content Type


Forums

  • AirVPN
    • News and Announcement
    • How-To
    • Frequently asked questions
    • Databases
  • Community
    • General & Suggestions
    • Troubleshooting and Problems
    • Blocked websites warning
    • Eddie - AirVPN Client
    • Reviews
    • Other VPN competitors or features
    • No-Profit
    • Off-Topic
  • Other Projects
    • IP Leak
    • XMPP
    • Mirrors
    • Net Neutrality Monitor

Product Groups

  • AirVPN Access
  • Coupons
  • Misc

Find results in...

Find results that contain...


Date Created

  • Start

    End


Last Updated

  • Start

    End


Filter by number of...

Joined

  • Start

    End


Group


Website URL


Twitter


Mastodon


AIM


MSN


ICQ


Yahoo


XMPP / Jabber


Skype


Location


Interests

Found 9 results

  1. ​ ​ ​Hi, ​ ​I went to this page https://airvpn.org/linux/ selected Linux, 64bit, Debian/Ubuntu, Graphical UI, and then downloaded the file "eddie-ui_2.12.4_linux_x64_debian.deb". ​ ​So then I right clicked & selected "open with software install"​, then selected "Install" and nothing happens. It does not install. ​ I'm new to Ubuntu/Linux and I'm just wondering if someone can point me to a guide or can help me solve this issue. On OS X its just a matter installing it and signing in, simple. Not so simple with Ubuntu. ​ ​Thanks ​ ​ ​
  2. Having trouble installing on a Chromebook with Rockchip OP1 processor (arm64) through the linux terminal. Have tried adding ppa to sources.list but runs: N: Skipping acquire of configured file 'main/binary-arm64/Packages' as repository 'http://eddie.website/repository/apt stable InRelease' doesn't support architecture 'arm64' as well as the 32 64 and rasp downloads. Is this a no go? Alternative would be to get the OpenVPN android app from play store, but wanted to run through the linux vm enabled by Crostini and circumvent google spying. May well be a fruitless task anyway, advise welcome. Would like to provide more info but not sure what else is relevant, sorry for the trouble. Appreciate any help.
  3. Is it possible to install eddie using the provided linux repository? https://airvpn.org/linux/
  4. I wanted to install airvpn software on a linux terminal, but I can't find any tutorials or even commands that I should run, I'm a beginner so I don't know how should I do it without tutorial. I searched around and there is nothing that helped. I don't want to mess around through ftp and move .deb packages to linux, is there a way to run one command and do it all? I read some discussions here and I suppose those people who downloaded openvpn configs had graphical interface. The only thing I did was Import our maintainer key for validating signature: wget -qO - https://eddie.website/repository/keys/eddie_maintainer_gpg.key|sudo apt-key add - Couldn't run deb commands because I don't have the deb package. deb http://eddie.website/repository/apt stable main -bash: deb: command not found sudo apt-get install deb Reading package lists... Done Building dependency tree Reading state information... Done E: Unable to locate package deb I tried to download linux > 64bit > portable > command line, but again, it's just a tar.gz file, there are no commands on how to do it via ssh. Tried to download deb package remotely via SSH, but the link is encrypted or dynamic and not a direct link, also showing error 500...It seems in the past there were direct links (https://askubuntu.com/questions/825193/how-can-apt-get-deal-with-dependency-problems-associated-with-a-slightly-problem) /home# wget https://eddie.website/download/?platform=linux&arch=x64&ui=cli&format=portable.tar.gz&version=2.12.4&r=0.8266051129146859 [1] 28514 [2] 28515 [3] 28516 [4] 28517 [5] 28518 [2] Done arch=x64 [3] Done ui=cli [4]- Done format=portable.tar.gz [5]+ Done version=2.12.4 root@...:~/home# --2017-07-04 02:22:53-- https://eddie.website/download/?platform=linux Resolving eddie.website (eddie.website)... 2a03:b0c0:2:d0::11b4:6001, 188.166.41.48 Connecting to eddie.website (eddie.website)|2a03:b0c0:2:d0::11b4:6001|:443... connected. HTTP request sent, awaiting response... 500 Internal Server Error 2017-07-04 02:22:53 ERROR 500: Internal Server Error. There are like 10 dependencies for this to run and not one command or guide on how to install airvpn easily via terminal... I have to waste my time to reupload .deb file on some file hosting now to download it by using wget... Instead of 5 minutes this will take me 1 hour now... ~/home# apt-get install gksu mono-runtime mono-utils libmono-system-runtime2.0-cil libmono-winforms2.0-cil libmono-corlib2.0-cil openvpn stunnel4 Reading package lists... Done Building dependency tree... 50% Building dependency tree Reading state information... Done Package libmono-corlib2.0-cil is not available, but is referred to by another package. This may mean that the package is missing, has been obsoleted, or is only available from another source However the following packages replace it: mono-reference-assemblies-2.0 mono-devel Package libmono-system-runtime2.0-cil is not available, but is referred to by another package. This may mean that the package is missing, has been obsoleted, or is only available from another source However the following packages replace it: mono-reference-assemblies-2.0 mono-devel Package libmono-winforms2.0-cil is not available, but is referred to by another package. This may mean that the package is missing, has been obsoleted, or is only available from another source However the following packages replace it: mono-reference-assemblies-2.0 mono-devel E: Package 'libmono-system-runtime2.0-cil' has no installation candidate E: Package 'libmono-winforms2.0-cil' has no installation candidate E: Package 'libmono-corlib2.0-cil' has no installation candidate Doing this from this tutorial https://askubuntu.com/a/80593 /home# tar xvzf eddie-cli_2.12.4_linux_x64_portable.tar.gz eddie-cli_2.12.4_linux_x64_portable/ eddie-cli_2.12.4_linux_x64_portable/libgdiplus.so.0 eddie-cli_2.12.4_linux_x64_portable/openvpn eddie-cli_2.12.4_linux_x64_portable/cacert.pem eddie-cli_2.12.4_linux_x64_portable/update-resolv-conf eddie-cli_2.12.4_linux_x64_portable/stunnel eddie-cli_2.12.4_linux_x64_portable/eddie-cli eddie-cli_2.12.4_linux_x64_portable/libMonoPosixHelper.so root@...:~/home# ./configure -bash: ./configure: No such file or directory root@...:~/home# cd eddie-cli_2.12.4_linux_x64_portable root@...:~/home/eddie-cli_2.12.4_linux_x64_portable# ./configure -bash: ./configure: No such file or directory tar -xzf eddie-cli_2.12.4_linux_x64_portable.tar.gz root@...:~/home# cd eddie-cli_2.12.4_linux_x64_portable root@...:~/home/eddie-cli_2.12.4_linux_x64_portable# ./configure -bash: ./configure: No such file or directory root@...:~/home/eddie-cli_2.12.4_linux_x64_portable# make make: *** No targets specified and no makefile found. Stop. root@...:~/home/eddie-cli_2.12.4_linux_x64_portable# sudo make install make: *** No rule to make target 'install'. Stop. root@...:~/home/eddie-cli_2.12.4_linux_x64_portable# I installed .deb with a UI - there were no .deb without UI, hoping that it also can work only via command line. This is the error I got when running it, I suppose it's only for graphical UI ('Could not open display') sudo dpkg -i --ignore-depends=libmono-system-runtime2.0-cil --ignore-depends=libmono-winforms2.0-cil --ignore-depends=libmono-corlib2.0-cil eddie-ui_2.12.4_linux_x64_debian.deb Selecting previously unselected package airvpn. (Reading database ... 64452 files and directories currently installed.) Preparing to unpack eddie-ui_2.12.4_linux_x64_debian.deb ... Unpacking airvpn (2.12.4) ... Setting up airvpn (2.12.4) ... Processing triggers for man-db (2.7.6.1-2) ... Processing triggers for mime-support (3.60ubuntu1) ... root@...:~/home# airvpn I 2017.07.04 02:47:26 - Eddie client version: 2.12.4 / linux_x64, System: Linux, Name: Ubuntu 17.04 Linux generic #22-Ubuntu SMP Thu Apr 20 09:22:42 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux Server : 546655 IPv4 : IPv6 : ... Hostname : ..., Mono/.Net Framework: v4.0.30319 . 2017.07.04 02:47:26 - Reading options from /root/.airvpn/AirVPN.xml . 2017.07.04 02:47:26 - Profile options not found, using defaults. Unhandled Exception: System.TypeInitializationException: The type initializer for 'System.Windows.Forms.WindowsFormsSynchronizationContext' threw an exception. ---> System.TypeInitializationException: The type initializer for 'System.Windows.Forms.XplatUI' threw an exception. ---> System.ArgumentNullException: Could not open display (X-Server required. Check your DISPLAY environment variable) Parameter name: Display at System.Windows.Forms.XplatUIX11.SetDisplay (System.IntPtr display_handle) [0x00435] in <d5b72d15d4f7424c8a1538e3f19ec2e3>:0 at System.Windows.Forms.XplatUIX11..ctor () [0x00077] in <d5b72d15d4f7424c8a1538e3f19ec2e3>:0 at System.Windows.Forms.XplatUIX11.GetInstance () [0x0001c] in <d5b72d15d4f7424c8a1538e3f19ec2e3>:0 at System.Windows.Forms.XplatUI..cctor () [0x0007d] in <d5b72d15d4f7424c8a1538e3f19ec2e3>:0 --- End of inner exception stack trace --- at System.Windows.Forms.Theme.get_MenuAccessKeysUnderlined () [0x00000] in <d5b72d15d4f7424c8a1538e3f19ec2e3>:0 at System.Windows.Forms.SystemInformation.get_MenuAccessKeysUnderlined () [0x00005] in <d5b72d15d4f7424c8a1538e3f19ec2e3>:0 at System.Windows.Forms.Control..ctor () [0x000ea] in <d5b72d15d4f7424c8a1538e3f19ec2e3>:0 at (wrapper remoting-invoke-with-check) System.Windows.Forms.Control:.ctor () at System.Windows.Forms.WindowsFormsSynchronizationContext..cctor () [0x00000] in <d5b72d15d4f7424c8a1538e3f19ec2e3>:0 --- End of inner exception stack trace --- at (wrapper managed-to-native) System.Object:__icall_wrapper_mono_generic_class_init (intptr) at System.Windows.Forms.WindowsFormsSynchronizationContext.get_AutoInstall () [0x00000] in <d5b72d15d4f7424c8a1538e3f19ec2e3>:0 at System.Windows.Forms.Control..ctor () [0x00014] in <d5b72d15d4f7424c8a1538e3f19ec2e3>:0 at System.Windows.Forms.ScrollableControl..ctor () [0x00000] in <d5b72d15d4f7424c8a1538e3f19ec2e3>:0 at System.Windows.Forms.ContainerControl..ctor () [0x0000e] in <d5b72d15d4f7424c8a1538e3f19ec2e3>:0 at System.Windows.Forms.Form..ctor () [0x00012] in <d5b72d15d4f7424c8a1538e3f19ec2e3>:0 at System.Windows.Forms.MessageBox+MessageBoxForm..ctor (System.Windows.Forms.IWin32Window owner, System.String text, System.String caption, System.Windows.Forms.MessageBoxButtons buttons, System.Windows.Forms.MessageBoxIcon icon, System.Boolean displayHelpButton) [0x0000c] in <d5b72d15d4f7424c8a1538e3f19ec2e3>:0 at System.Windows.Forms.MessageBox+MessageBoxForm..ctor (System.Windows.Forms.IWin32Window owner, System.String text, System.String caption, System.Windows.Forms.MessageBoxButtons buttons, System.Windows.Forms.MessageBoxIcon icon) [0x00000] in <d5b72d15d4f7424c8a1538e3f19ec2e3>:0 at (wrapper remoting-invoke-with-check) System.Windows.Forms.MessageBox+MessageBoxForm:.ctor (System.Windows.Forms.IWin32Window,string,string,System.Windows.Forms.MessageBoxButtons,System.Windows.Forms.MessageBoxIcon) at System.Windows.Forms.MessageBox.Show (System.String text, System.String caption, System.Windows.Forms.MessageBoxButtons buttons, System.Windows.Forms.MessageBoxIcon icon) [0x00000] in <d5b72d15d4f7424c8a1538e3f19ec2e3>:0 at Eddie.UI.Linux.Program.Main () [0x000c3] in <827d8be374f3486292e08d514075969c>:0 [ERROR] FATAL UNHANDLED EXCEPTION: System.TypeInitializationException: The type initializer for 'System.Windows.Forms.WindowsFormsSynchronizationContext' threw an exception. ---> System.TypeInitializationException: The type initializer for 'System.Windows.Forms.XplatUI' threw an exception. ---> System.ArgumentNullException: Could not open display (X-Server required. Check your DISPLAY environment variable) Parameter name: Display at System.Windows.Forms.XplatUIX11.SetDisplay (System.IntPtr display_handle) [0x00435] in <d5b72d15d4f7424c8a1538e3f19ec2e3>:0 at System.Windows.Forms.XplatUIX11..ctor () [0x00077] in <d5b72d15d4f7424c8a1538e3f19ec2e3>:0 at System.Windows.Forms.XplatUIX11.GetInstance () [0x0001c] in <d5b72d15d4f7424c8a1538e3f19ec2e3>:0 at System.Windows.Forms.XplatUI..cctor () [0x0007d] in <d5b72d15d4f7424c8a1538e3f19ec2e3>:0 --- End of inner exception stack trace --- at System.Windows.Forms.Theme.get_MenuAccessKeysUnderlined () [0x00000] in <d5b72d15d4f7424c8a1538e3f19ec2e3>:0 at System.Windows.Forms.SystemInformation.get_MenuAccessKeysUnderlined () [0x00005] in <d5b72d15d4f7424c8a1538e3f19ec2e3>:0 at System.Windows.Forms.Control..ctor () [0x000ea] in <d5b72d15d4f7424c8a1538e3f19ec2e3>:0 at (wrapper remoting-invoke-with-check) System.Windows.Forms.Control:.ctor () at System.Windows.Forms.WindowsFormsSynchronizationContext..cctor () [0x00000] in <d5b72d15d4f7424c8a1538e3f19ec2e3>:0 --- End of inner exception stack trace --- at (wrapper managed-to-native) System.Object:__icall_wrapper_mono_generic_class_init (intptr) at System.Windows.Forms.WindowsFormsSynchronizationContext.get_AutoInstall () [0x00000] in <d5b72d15d4f7424c8a1538e3f19ec2e3>:0 at System.Windows.Forms.Control..ctor () [0x00014] in <d5b72d15d4f7424c8a1538e3f19ec2e3>:0 at System.Windows.Forms.ScrollableControl..ctor () [0x00000] in <d5b72d15d4f7424c8a1538e3f19ec2e3>:0 at System.Windows.Forms.ContainerControl..ctor () [0x0000e] in <d5b72d15d4f7424c8a1538e3f19ec2e3>:0 at System.Windows.Forms.Form..ctor () [0x00012] in <d5b72d15d4f7424c8a1538e3f19ec2e3>:0 at System.Windows.Forms.MessageBox+MessageBoxForm..ctor (System.Windows.Forms.IWin32Window owner, System.String text, System.String caption, System.Windows.Forms.MessageBoxButtons buttons, System.Windows.Forms.MessageBoxIcon icon, System.Boolean displayHelpButton) [0x0000c] in <d5b72d15d4f7424c8a1538e3f19ec2e3>:0 at System.Windows.Forms.MessageBox+MessageBoxForm..ctor (System.Windows.Forms.IWin32Window owner, System.String text, System.String caption, System.Windows.Forms.MessageBoxButtons buttons, System.Windows.Forms.MessageBoxIcon icon) [0x00000] in <d5b72d15d4f7424c8a1538e3f19ec2e3>:0 at (wrapper remoting-invoke-with-check) System.Windows.Forms.MessageBox+MessageBoxForm:.ctor (System.Windows.Forms.IWin32Window,string,string,System.Windows.Forms.MessageBoxButtons,System.Windows.Forms.MessageBoxIcon) at System.Windows.Forms.MessageBox.Show (System.String text, System.String caption, System.Windows.Forms.MessageBoxButtons buttons, System.Windows.Forms.MessageBoxIcon icon) [0x00000] in <d5b72d15d4f7424c8a1538e3f19ec2e3>:0 at Eddie.UI.Linux.Program.Main () [0x000c3] in <827d8be374f3486292e08d514075969c>:0 Edit: Just figured out that if I want to use command-line I have to add -cli... Edit2: After connecting to best available server, linux crashed.. Now can't connect. 17:40:55.181 Key exchange #36 started by client. 17:40:55.744 Key exchange #36 completed. 18:11:01.036 The SSH2 session has terminated with error. Reason: FlowSocketReader: Error receiving bytes. Windows error 10060: A connection attempt failed because the connected party did not properly respond after a period of time, or established connection failed because connected host has failed to respond. 18:11:01.041 Automatic reconnection started. Reconnection attempt is scheduled at 18:11:03. This is the last log before crashing . 2017.07.04 03:16:39 - OpenVPN > Control Channel: TLSv1.2, cipher TLSv1/SSLv3 DHE-RSA-AES256-GCM-SHA384, 4096 bit RSA . 2017.07.04 03:16:39 - OpenVPN > [server] Peer Connection Initiated with [AF_INET]... . 2017.07.04 03:16:40 - OpenVPN > SENT CONTROL [server]: 'PUSH_REQUEST' (status=1) . 2017.07.04 03:16:40 - OpenVPN > PUSH: Received control message: 'PUSH_REPLY,redirect-gateway def1 bypass-dhcp,dhcp-option DNS 10.4.0.1,comp-lzo no,route-gateway 10.4.0.1,topology subnet,ping 10,ping-restart 60,ifconfig 10.4.113.245 255.255.0.0' . 2017.07.04 03:16:40 - OpenVPN > OPTIONS IMPORT: timers and/or timeouts modified . 2017.07.04 03:16:40 - OpenVPN > OPTIONS IMPORT: compression parms modified . 2017.07.04 03:16:40 - OpenVPN > OPTIONS IMPORT: --ifconfig/up options modified . 2017.07.04 03:16:40 - OpenVPN > OPTIONS IMPORT: route options modified . 2017.07.04 03:16:40 - OpenVPN > OPTIONS IMPORT: route-related options modified . 2017.07.04 03:16:40 - OpenVPN > OPTIONS IMPORT: --ip-win32 and/or --dhcp-option options modified . 2017.07.04 03:16:40 - OpenVPN > Data Channel Encrypt: Cipher 'AES-256-CBC' initialized with 256 bit key . 2017.07.04 03:16:40 - OpenVPN > Data Channel Encrypt: Using 160 bit message hash 'SHA1' for HMAC authentication . 2017.07.04 03:16:40 - OpenVPN > Data Channel Decrypt: Cipher 'AES-256-CBC' initialized with 256 bit key . 2017.07.04 03:16:40 - OpenVPN > Data Channel Decrypt: Using 160 bit message hash 'SHA1' for HMAC authentication . 2017.07.04 03:16:40 - OpenVPN > ROUTE_GATEWAY .../255.255.255.0 IFACE=eth0 HWADDR=... . 2017.07.04 03:16:40 - OpenVPN > TUN/TAP device tun0 opened . 2017.07.04 03:16:40 - OpenVPN > TUN/TAP TX queue length set to 100 . 2017.07.04 03:16:40 - OpenVPN > do_ifconfig, tt->did_ifconfig_ipv6_setup=0 . 2017.07.04 03:16:40 - OpenVPN > /sbin/ip link set dev tun0 up mtu 1500 . 2017.07.04 03:16:40 - OpenVPN > /sbin/ip addr add dev tun0 .../16 broadcast ... . 2017.07.04 03:16:45 - OpenVPN > /sbin/ip route add .../32 via ... . 2017.07.04 03:16:45 - OpenVPN > /sbin/ip route add 0.0.0.0/1 via 10.4.0.1
  5. I was reading the locked thread about AirVPN updating their server-side in response to the article about security vulnerabilities in OpenVPN, and was wondering how a user of, say Windows, or a user with OpenVPN on their mobile device would go about updating in a way that would maintain the settings they're currently using for AirVPN? The aforementioned thread does include a way to update in Linux, but doesn't say anything about other OS systems.
  6. Hey, So I am trying to install Eddie on the new Ubuntu 16.04 LTS release and am getting the following error. Package Dependencies could not be resolved. Dependency is not satisfiable libmono-system-runtime2.0-cil. I tried installing that dependency and got the following message: Package libmono-system-runtime2.0-cil is not available, but is referred to by another package.This may mean that the package is missing, has been obsoleted, oris only available from another sourceHowever the following packages replace it: mono-reference-assemblies-2.0 mono-devel Installing the two replacement packages doesn't solve the problem either. Is there anything I can do to fix this? Thank you!
  7. So I'm not very good at installing on anything but Windows, but unfortunately I'm working with OS X Yosemite. I seemed to have successfully installed the AirVPN Client because it's showing up in my "Applications" and it's in my dock but when I open it only asks for my Mac's password. However, there's no place for me to enter my AirVPN account username and password, nor is the option to pick the server. What I did so far is this: I installed the .pkg Package installer on this page: https://airvpn.org/macosx/ for Using our client (OS X Mavericks, Yosemite ONLY) Is there a step-by-step Guide for Yosemite, or is somebody patient enough to help me? The problem is I'm not very good at commands or anything but the most basic things, so it's almost like helping your Grandmother. I have installed and used AirVPN client on LInux before, (with the help of this forum), so I'm not completely blind, but I can get hung up on a basic steps when it's more than "point and click."
  8. Hey..I have recently (and happily) moved to Ubuntu and "re-upped" my membership with AirVPN. One issue. My ISP is blocking some of my ports so downloading the required dependances or accessing the repository either by Synaptic, the Software Updater or the Ubuntu Software Center. I am looking for a workaround, I cant seem to find how to switch ports or download a full copy of Airvpn dependancies so I can get this to work. Thanks!
  9. I am trying to follow this guide https://airvpn.org/linux/ but having trouble on a Ubuntu 13.10 machine. I don't even know if I should be using the AirVPN instructions (top) or the Ubuntu Network Manager instructions (bottom). Anybody willing to help me step by step. I'm pretty good at following instrucitons but terminal commands are challenging for me. I need help to know what the exact terminal command is. Anybody willing to help me with the first step? Should I be trying to do this with AirVPN or the Ubuntu Network Manager?
×
×
  • Create New...